Package org.apache.tapestry5.internal.jpa

## Class EntityTransactionManagerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.EntityTransactionManagerImpl

- All Implemented Interfaces:
    `EntityTransactionManager`

      @Scope("perthread")
      public class EntityTransactionManagerImpl
      extends java.lang.Object
      implements EntityTransactionManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tapestry5.jpa.EntityTransactionManager

      `EntityTransactionManager.VoidInvokable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EntityTransactionManagerImpl​(org.slf4j.Logger logger, EntityManagerManager entityManagerManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `invokeAfterCommit​(java.lang.String unitName, Invokable<java.lang.Boolean> invokable)` |
    `void` | `invokeBeforeCommit​(java.lang.String unitName, Invokable<java.lang.Boolean> invokable)` |
    `<T> T` | `invokeInTransaction​(java.lang.String unitName, Invokable<T> invokable)` |
    `void` | `runInTransaction​(java.lang.String unitName, java.lang.Runnable runnable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityTransactionManagerImpl

          public EntityTransactionManagerImpl​(org.slf4j.Logger logger,
                                              EntityManagerManager entityManagerManager)

  - ### Method Detail

    - #### runInTransaction

          public void runInTransaction​(java.lang.String unitName,
                                       java.lang.Runnable runnable)

      Specified by:
        `runInTransaction` in interface `EntityTransactionManager`

    - #### invokeInTransaction

          public <T> T invokeInTransaction​(java.lang.String unitName,
                                           Invokable<T> invokable)

      Specified by:
        `invokeInTransaction` in interface `EntityTransactionManager`

    - #### invokeBeforeCommit

          public void invokeBeforeCommit​(java.lang.String unitName,
                                         Invokable<java.lang.Boolean> invokable)

      Specified by:
        `invokeBeforeCommit` in interface `EntityTransactionManager`

    - #### invokeAfterCommit

          public void invokeAfterCommit​(java.lang.String unitName,
                                        Invokable<java.lang.Boolean> invokable)

      Specified by:
        `invokeAfterCommit` in interface `EntityTransactionManager`